CREATE TABLE fnd_objects_tl_ (
    ENTERPRISE_ID            NUMBER(18, 0) ,
    SANDBOX_ID               VARCHAR2(256) ,
    OBJECT_ID                NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)  ,
    DISPLAY_NAME             VARCHAR2(960) ,
    DESCRIPTION              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ENTERPRISE_ID            NUMBER(18, 0) ,
    SANDBOX_ID               VARCHAR2(256) ,
    OBJECT_ID                NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)  ,
    DISPLAY_NAME             VARCHAR2(960) ,
    DESCRIPTION              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CONSTRAINT pk_fnd_objects_tl_ PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, OBJECT_ID, LANGUAGE, LAST_UPDATE_DATE, ENTERPRISE_ID, SANDBOX_ID, OBJECT_ID, LANGUAGE, LAST_UPDATE_DATE)
);
